Subject: [Ecrit] Question to draft-ietf-ecrit-data-only-ea-05

From: Ivo Sedlacek <[email-masked]>
Date: Wed, 26 Jun 2013 06:26:25 +0000

Hello,

draft-ietf-ecrit-data-only-ea-05 states:

   This document does not define a mechanism for updates to the data
   contained in data-only emergency calls.

Is there another I-D describing how to provide the updates of the data to the PSAP? I saw some post suggesting that a SUBSCRIBE/NOTIFY mechanism could be used where the PSAP is subscriber and the UA is notifier, however I have not found such draft.

Issue 1: If SUBSCRIBE/NOTIFY mechanism is used, the PSAP is the subscriber and the UA is the notifier, this would require reachability of UA for initial request for dialog (i.e. SUBSCRIBE). However, when the UA is not registered e.g. due to missing credentials, the UA is normally not reachable for SIP requests other than those sent within the dialog of the emergency call.

Issue 2: How to send the update of the data __triggered by the UA__? Do we assume that if the PSAP subscription is not available, the PSAP prevents the UE from sending further information?
            If so, assuming PSAP is interested in any information available, PSAP will need to subscribe in every single case of MESSAGE with CAP where UA can potentially provide the update of the data.
            If not, do we assume that the UE would send updates of data triggered by UE using other mechanism (MESSAGE?) than updates of data requested by PSAP (NOTIFY)?

Issue 3: In some architectures (like 3GPP), signalling path for inital request for dialog from the PSAP to the UA is different than signalling path for the emergency request from the UA to the PSAP. If the UA has subscription from network in country X and roams in country Y, there is likelyhood that information that request comes from the PSAP is lost due to missing trust among PSAP (in country Y), transit networks (in country Y and X and possibly other transit countries), network of registrar and proxy of the UA (in country X), transit networks (in country X and Y and possibly other transit countries) and network of edge proxy serving the UA (in country Y) . If so, the UA would then handle the inital request for dialog as coming from an attacker UE and possibly reject it.

Is draft-ietf-ecrit-data-only-ea-05 supposed to be a  base for future solution where updates of the data to the PSAP are sent? I do not think it would work due to issues above.

If the UA ever wants to provide the updates of the data to the PSAP, either triggred by the UA or requested by the PSAP, it would be better to establish a dialog from beginning, e.g. send the initial data in INVITE and updates (from UE) and requests for updates (from PSAP) in INFOs.

Kind regards

Ivo Sedlacek 

Ericsson
Mobile +420 608 234 709
[email-masked]
www.ericsson.com 

This Communication is Confidential. We only send and receive email on the basis of the terms set out at www.ericsson.com/email_disclaimer